﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Volo.Abp.DependencyInjection;
using Volo.Abp.MultiTenancy;
using Volo.Abp.Users;

namespace HospitalManagementSystem.Appointments
{
    public class AppointmentAppService : HospitalManagementSystemAppService, IAppointmentAppService, ITransientDependency
    {
        private readonly ICurrentUser _currentUser;
        private readonly ICurrentTenant _currentTenant;
        public AppointmentAppService(ICurrentUser currentUser, ICurrentTenant currentTenant)
        {
            _currentUser = currentUser;
            _currentTenant = currentTenant;
        }
        public async Task<string> GetAsync()
        {
            var x = _currentUser.Id;
            var y = _currentTenant.Id;
            return _currentUser.Name + " checking done.";
        }
    }
}
