﻿using HospitalManagementSystem.Enums;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Volo.Abp.Domain.Entities.Auditing;

namespace HospitalManagementSystem.Dtos
{
    public class DoctorDto : FullAuditedEntity<Guid>
    {
        public string? FirstName { get; set; }
        public string? LastName { get; set; }
        public string? Gender { get; set; }
        public string? Mobile { get; set; }
        public string? Designation { get; set; }
        public Guid? DepartmentId { get; set; }
        public string? Address { get; set; }
        public string? Email { get; set; }
        public string? DOB { get; set; }
        public string? Education { get; set; }
    }
}
