import { RestService, Rest } from '@abp/ng.core';
import { Injectable } from '@angular/core';
import type { DoctorDto } from '../dtos/models';

@Injectable({
  providedIn: 'root',
})
export class DoctorService {
  apiName = 'Default';
  

  get = (config?: Partial<Rest.Config>) =>
    this.restService.request<any, DoctorDto[]>({
      method: 'GET',
      url: '/api/app/doctor',
    },
    { apiName: this.apiName,...config });

  constructor(private restService: RestService) {}
}
