﻿using AutoMapper;
using HospitalManagementSystem.Departments;
using HospitalManagementSystem.Doctors;
using HospitalManagementSystem.Dtos;

namespace HospitalManagementSystem;

public class HospitalManagementSystemApplicationAutoMapperProfile : Profile
{
    public HospitalManagementSystemApplicationAutoMapperProfile()
    {
        /* You can configure your AutoMapper mapping configuration here.
         * Alternatively, you can split your mapping configurations
         * into multiple profile classes for a better organization. */
        CreateMap<Department, DepartmentDto>();
        CreateMap<Doctor, DoctorDto>();
    }
}
