﻿using System;
using Volo.Abp.Domain.Entities.Auditing;

namespace HospitalManagementSystem.Departments
{
    public class Department : FullAuditedEntity<Guid>
    {
        public string? DepartmentNo { get; set; }
        public string? DepartmentName { get; set; }
        public DateTime? DepartmentDate { get; set; }
        public string? DepartmentHead { get; set; }
        public string? Status { get; set; }
        public string? Description { get; set; }

        public Department()
        {
            
        }

        public Department(Guid id, string? departmentNo, string? departmentName, DateTime? departmentDate, string? departmentHead, string? status, string? description) : base(id)
        {
            DepartmentNo = departmentNo;
            DepartmentName = departmentName;
            DepartmentDate = departmentDate;
            DepartmentHead = departmentHead;
            Status = status;
            Description = description;
        }
    }
}
